package milab.lab06.PlayerAgent;

import milab.lab06.Game;
import jadex.runtime.*;

/**
 * JADEX player agent's setup plan
 * 
 * @author Dniel Lszl, Kovcs (dkovacs@mit.bme.hu)
 *
 */
public class PlayerSetupPlan extends Plan {

	private static final long serialVersionUID = 1L;

	public PlayerSetupPlan() {
		
		//getLogger().info("Created: "+this);
		
	} // End of PlayerSetupPlan.PlayerSetupPlan() constructor

	public void body() {

		// Get the Game object...
		//Game G			= new Game(((Integer)getBeliefbase().getBelief("G").getFact()).intValue());
		
		// Printout a welcome message
		//System.out.println("Hello! Player-agent " + getAgentName() + " is ready to play the " + G.getName() + " game...");		

		// If the GUI is activated
		if (((Boolean)getBeliefbase().getBelief("gui").getFact()).booleanValue()) {
		
			// Create the GUI
			PlayerGui myGui = new PlayerGui(getExternalAccess());
			
			// Show the GUI
			myGui.show();
			
			// Store the GUI
			getBeliefbase().getBelief("myGui").setFact(myGui);
			
		}

	} // End of PlayerSetupPlan.body() method

} // End of PlayerSetupPlan class
